#ifndef _Billboard_
#define _Billboard_


float3 Billboard(float3 position, float3 scale, float move, out float3 normal, float3 cameraNormal, float4x4 worldToCamera, float2 weights)
{
	float2 offset = sin(position.xy + gc_time) * 0.025 * dot(cameraNormal, cameraNormal) * scale.xz * move;

	float3 forward = worldToCamera[1].xyz;
	
	float3 right = normalize(worldToCamera[0].xyz + forward * cameraNormal.x * 0.5) * scale.x;
	float3 up = normalize(worldToCamera[2].xyz + forward * cameraNormal.z * 0.5) * scale.z;

	float3 oldPostion = position;
	position += right * offset.x + up * offset.y;	
	normal = right * weights.x + up * weights.y;
	position += normal;
	normal = normalize(normal - forward);

	normal = normalize(oldPostion - (position + float3(0, 0, 5)));
	
	return position;
}

#endif