Material resource
{
	MaterialType _type = Blended;
	VideoProgram _passes
	[
		"normal" 
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\ParticleLayout.rsc";
	VertexProgram _vertexProgram = "vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "Material\Particle\ParticleMaterial.rsc:rs";
}

VertexProgram vs
{
	bool _instanced = true;
	VertexLayout _input = "MeshLayout/ParticleLayout.rsc";
	String _includes
	[
		"Material/Instancing.hlsl"
	]

	Output _outputs 
	[
		{ String _type = "float4"; String _name = "position";		Usage _usage = Position;			int _index = 0; }
		{ String _type = "float2"; String _name = "texcoord";		Usage _usage = TextureCoordinate;	int _index = 0; }
		{ String _type = "float4"; String _name = "color";			Usage _usage = Color;				int _index = 1; }
	]

	Variant _variants
	[
		{
			String _text = "
				float s, c;
				sincos(input.roll, s, c);
				float2x2 rollMatrix = float2x2(float2(c, -s), float2(s, c));
				input.uvOffset.zw = mul(rollMatrix, input.uvOffset.zw);

				float4x4 localToWorld = GetLocalToWorld(input.position.w);

				float3 worldPosition = mul((float3x4)localToWorld, float4(input.position.xyz, 1.0));

				float3 right = float3(localToWorld[0].x, localToWorld[1].x, localToWorld[2].x) * input.uvOffset.z;
				float3 up = float3(localToWorld[0].y, localToWorld[1].y, localToWorld[2].y) * input.uvOffset.w;

				worldPosition.xyz = worldPosition + right + up;

				output.position = mul(gc_worldToProjection, float4(worldPosition, 1.0));

				output.texcoord = input.uvOffset.xy;
				output.color = input.color;
			";
		}
	]
}

PixelProgram ps
{
	VertexProgram _input = "vs";

	String _includes
	[
		"Material/Texture.hlsl"
	]

	Texture _textureList
	[
		{ bool _2d = true;	String _name = "diffuse";	int _bindIndex = 0;	bool _exposed = true; }
	]

	Variant _variants
	[
		{
			String _text = "
				output.color = Sample2D(diffuse, diffusesampler, input.texcoord) * input.color;
			";
		}
	]
}