Material resource
{
	MaterialType _type = Blended;
	VideoProgram _passes
	[
		"normal"
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\SelectionEdgeLayout.rsc";
	VertexProgram _vertexProgram = "vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "rs";
}

RenderState rs
{
	AlphaBlend _alphaBlend
	{
		bool _enable = true;
		Blend _source = SourceAlpha;
		Blend _dest = InverseSourceAlpha;
		BlendOp _op = Add;
		ColorWrite _writeMask = Red | Green | Blue | Alpha;
	}
	Depth _depth
	{
		bool _enable = true;
		bool _write = false;
		Compare _compare = Less;
		float _bias = -0.0001;
		float _slopeBias = -0.0001;
	}
	Stencil _stencil
	{
		bool _enable = true;
		bool _twosided = true;
		Compare _compare = Equal;
		uchar _ref = 0;
		StencilOp _fail = Keep;
		StencilOp _zFail = Keep;
		StencilOp _pass = Increment;
		StencilOp _tsFail = Keep;
		StencilOp _tsZFail = Keep;
		StencilOp _tsPass = Increment;
	}
	CullMode _cullMode = None;
	CullMode _fillMode = Solid;
}


VertexProgram vs
{
	VertexLayout _input = "MeshLayout/SelectionEdgeLayout.rsc";
	String _includes
	[
		"Material/Instancing.hlsl"
	]

	Output _outputs 
	[
		{ String _type = "float4"; String _name = "position";		Usage _usage = Position;			int _index = 0; }
	]

	Variant _variants
	[
		{
			String _text = "
				float4x4 localToWorld = GetLocalToWorld(0);

				float3 positionA = input.positionA * 1.0 / 512.0;
				float3 positionB = input.positionB * 1.0 / 512.0;

				float3 worldPositionA = mul((float3x4)localToWorld, float4(positionA.xyz * localToWorld[3].xyz, 1.0));
				float3 worldPositionB = mul((float3x4)localToWorld, float4(positionB.xyz * localToWorld[3].xyz, 1.0));

				float3 cameraRight = gc_worldToCamera[0].xyz;
				float3 cameraForward = gc_worldToCamera[1].xyz;

				float3 lineDirection = normalize(worldPositionB - worldPositionA);
				float3 widthDirection = normalize(cross(lineDirection, cameraForward));

				float4 r0 = mul(gc_worldToProjection, float4(worldPositionA, 1.0));
				float4 r1 = mul(gc_worldToProjection, float4(worldPositionA + cameraRight, 1.0));
				r0.xyz /= r0.w;
				r1.xyz /= r1.w;
				float edgeSize = 4;
				float size = edgeSize * (1.0 / (r1.x - r0.x)) * ic_inverseScale.w;

				worldPositionA = worldPositionA - (lineDirection * size) + (widthDirection * input.positionA.w / 512.0 * size);

				output.position = mul(gc_worldToProjection, float4(worldPositionA, 1.0));
			";
		}
	]
}

PixelProgram ps
{
	VertexProgram _input = "vs";

	Variant _variants
	[
		{
			String _text = "
				output.color = float4(0.99, 0.80, 0.30, 1.0);
			";
		}
	]
}