Material resource
{
	MaterialType _type = Blended;
	VideoProgram _passes
	[ 
		"normal"
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\WeatherLayout.rsc";
	VertexProgram _vertexProgram = "vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "rs";
}

RenderState rs
{
	AlphaBlend _alphaBlend
	{
		bool _enable = true;
		Blend _source = SourceAlpha;
		Blend _dest = InverseSourceAlpha;
		BlendOp _op = Add;
		ColorWrite _writeMask = Red | Green | Blue | Alpha;
	}
	Depth _depth
	{
		bool _enable = true;
		bool _write = false;
		Compare _compare = Less;
		float _bias = 0.000000;
		float _slopeBias = 0.000000;
	}
	Stencil _stencil
	{
		bool _enable = false;
		bool _twosided = false;
		Compare _compare = Greater;
		uchar _ref = 0;
		StencilOp _fail = Keep;
		StencilOp _zFail = Keep;
		StencilOp _pass = Keep;
		StencilOp _tsFail = Keep;
		StencilOp _tsZFail = Keep;
		StencilOp _tsPass = Keep;
	}
	CullMode _cullMode = None;
	CullMode _fillMode = Solid;
	bool _scissorEnable = false;
}

VertexProgram vs
{
	bool _instanced = true;
	VertexLayout _input = "MeshLayout\WeatherLayout.rsc";
	String _includes
	[
		"Material/Instancing.hlsl"
	]

	Output _outputs 
	[
		{ String _type = "float4"; String _name = "position";	Usage _usage = Position;			int _index = 0; }
		{ String _type = "float3"; String _name = "texcoord";	Usage _usage = TextureCoordinate;	int _index = 0; }
		{ String _type = "float2"; String _name = "fade";		Usage _usage = TextureCoordinate;	int _index = 1; }
	]

	Variant _variants
	[
		{
			String _text = "
				float4x4 localToWorld = GetLocalToWorld(input.position.w);

				float3 worldPosition = mul((float3x4)localToWorld, float4(input.position.xyz, 1.0));
				output.position = mul(gc_worldToProjection, float4(worldPosition, 1.0));
				output.texcoord.xy = input.texcoord.xy;
				output.texcoord.z = ic_color.w;
				output.fade.x = (output.position.z + ic_inverseScale.x) * ic_inverseScale.y;
				output.fade.y = (output.position.z + ic_inverseScale.z) * ic_inverseScale.w;
			";
		}
	]
}

PixelProgram ps
{
	VertexProgram _input = "vs";
	String _includes
	[
		"Material/Texture.hlsl"
	]

	Texture _textureList
	[
		{ bool _2d = true;	String _name = "diffuse";	int _bindIndex = 0;	bool _exposed = true; }
	]

	Variant _variants
	[
		// main
		{
			
			String _text = "
				output.color = Sample2D(diffuse, diffusesampler, input.texcoord.xy);
				output.color.w *= input.texcoord.z * saturate(input.fade.x) * saturate(input.fade.y);
			";
		}
	]
}